<?php
/***************************************************************
*  Copyright notice
*  
*  (c) 2002 Christoph Mller (chris@byters.de)
*  All rights reserved
*
*  This script is part of the Typo3 project. The Typo3 project is 
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
* 
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
* 
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/** 
 * Plugin 'WebGrabber' for the 'cm_webgrab' extension.
 *
 * @author	Christoph Mller <chris@byters.de>
 */


require_once(PATH_tslib."class.tslib_pibase.php");

class tx_cmwebgrab_pi1 extends tslib_pibase {
	var $prefixId = "tx_cmwebgrab_pi1";		// Same as class name
	var $scriptRelPath = "pi1/class.tx_cmwebgrab_pi1.php";	// Path to this script relative to the extension dir.
	var $extKey = "cm_webgrab";	// The extension key.
	
	/**
	 * WebGrabber - grabs external content and displays it on a T3 page as frontend plugin
	 */
	function main($content,$conf)	{
		$this->conf=$conf;
		$this->pi_setPiVarDefaults();
		$this->pi_loadLL();
	
		// Look up the path to grab.
		if ( !isset($GLOBALS["webgrab_path"]) ) {
			// get URL to grab from TS...
			$GLOBALS["webgrab_path"] = $conf["webgrab_path"];
		}

		$url=$conf["wg_path"].'?t3_root='.$conf["t3_root"].'&t3_id='.$GLOBALS["TSFE"]->id.'&webgrab_path='.$GLOBALS["webgrab_path"];

		$lines = file ($url);

		// Loop through our lines array...
		foreach ($lines as $line_num => $line) {
			// this is a hook to do some more parsing than webgrab does by itself, if needed...
			// especially useful for some more FORM treatment...
			$parsedContent.=$line;
		}

		return $parsedContent;


		//return $this->pi_wrapInBaseClass($content);
	}
}



if (defined("TYPO3_MODE") && $TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/cm_webgrab/pi1/class.tx_cmwebgrab_pi1.php"])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]["XCLASS"]["ext/cm_webgrab/pi1/class.tx_cmwebgrab_pi1.php"]);
}

?>
