<?php
#############################################################################
#
# Konfigurationsdatei fr WebGrab
# English doc at http://mcyra.homeip.net/homepage/phpcms/webgrab.htm
#
#############################################################################
#
# Erster Schritt der Konfiguration:
# =================================
# Wir mssen WebGrab mitteilen, welche Seite aufgerufen werden soll, wenn 
# kein Parameter angegeben wurde. Die Seite ist als ganze URL anzugeben,
# also z.B. http://phpcms.de/
#
#############################################################################
#
# First step:
# ===========
# Tell WebGrab, which page should be displayed, if no parm is present.
#
#############################################################################

$webgrab_no_path = 'http://your.host.tld/script_to_include/';

#############################################################################
#
# stealth-mode, let it off, until you have read the doc.
#
#############################################################################

$webgrab_stealth = 'off';

#############################################################################
#
# Zweiter Schritt der Konfiguration:
# ==================================
# Wir teilen WebGrab nun mit, welche Adressen oder Adressen-Teile bearbeitet
# werden sollen. Dabei werden all jene URL's in der Seite auf WebGrab 
# umgeleitet, die in der Adresse einen Bestandteil haben, der hier konfiguriert 
# wird.
#
# Diese Eintrge erfolgen im Location-Array. Der Index dieser Eintrge wird
# spter benutzt, um die Replacements zu definieren.
#
# Es knnen ganze URL's oder auch nur Teile von URL's angegeben werden.
# Wenn nur ein bestimmter Teil eines Servers ersetzt werden soll, dann
# Darf die Domne oder der Host dieses Servers nicht in der gleichen
# Konfigurationsdatei als Stand-Alone definiert sein!
#
#############################################################################
#
# Which adresses should be parsed?
#
#############################################################################

$location[0]['value'] = 'your.host.tld/script_to_include';
#$location[1]['value'] = 'info.byters.de';

#############################################################################
#
# Dritter Schritt - einzelne Replacements:
# ========================================
# Jetzt definieren wir jene Begriffe, die auf den Seiten ersetzt werden
# sollen. Jeder Eintrag enthlt einen Begriff, ein Wort oder einen
# Wortteil, der auch mehrmals innerhalb einer Zeile vorkommen darf.
# Die Begriffe werden aufsteigend indiziert.
#
#############################################################################
#
# search-terms and their replacements.
#
#############################################################################

#$location[0]['search'] [0]	=	'wernhard<';
#$location[0]['replace'][0]	=	'red<';
#$location[0]['search'] [1]	=	'Plinius<';
#$location[0]['replace'][1]	=	'Roman<';

#############################################################################
#
# Vierter Schritt - zu ersetzende Blcke:
# =======================================
# Jeder Block wird mit einem Startbegriff eingeleitet und mit einem
# Stop-Begriff beendet. Der Start-Begriff darf nur einmal in einer Zeile 
# vorkommen. Kommt der Start-Begriff fter in einer Zeile vor, wird
# der erste gefundene Start-Begriff genommen.
# Der Stop-Begriff darf ebenfalls nur einmal pro Zeile vorkommen. Startbergirffe
# fr andere Blche werden in der gleichen Zeile nicht gefunden.
# 
# Ersetzt wird der gefundene Block entweder durch eine Zeile, die
# direkt in dieser Konfigurationsdatei angegeben wird, oder
# durch eine Datei, deren Dateiname angegeben wird.
#
#############################################################################
#
# search-blocks and replacements
#
#############################################################################

$location[0]['search_block_start']  [0]	=	'<!DOCTYPE HTML';
$location[0]['search_block_stop']   [0]	=	'<body bgcolor="#E5E5E5" text="#000000" link="#006699" vlink="#5493B4" />';
# use this construct to replace all HTML header stuff with an external style sheet!
$location[0]['replace_block_file']  [0]	=	'grabberstyles.css';
$location[0]['search_block_start']  [1]	=	'</body>';
$location[0]['search_block_stop']   [1]	=	'</html>';
$location[0]['replace_block_line']  [1] ='';

# Zu ersetzende Blcke
#$location[0]['search_block_start']  [0]	=	'<!-- Begin Head -->';
#$location[0]['search_block_stop']	  [0]	=	'<!-- End Head -->';
#$location[0]['replace_block_line']  [0] ='';
#$location[1]['search_block_start']  [1]	=	'<style type="text/css">';
#$location[1]['search_block_stop']	  [1]	=	'</style>';
#$location[1]['replace_block_line']  [1] ='';
#$location[1]['search_block_start']  [2]	=	'<!-- BEGIN TPL -->';
#$location[1]['search_block_stop']	  [2]	=	'<!-- logo and buttons -->';
#$location[1]['replace_block_line']  [2] ='';
#$location[1]['search_block_start']  [3]	=	'<!-- BOTTOM BEGIN -->';
#$location[1]['search_block_stop']	  [3]	=	'</html>';
#$location[1]['replace_block_line']  [3] ='</html>';
?>
